<?php
$tdatacorrelativo_partida = array();
$tdatacorrelativo_partida[".searchableFields"] = array();
$tdatacorrelativo_partida[".ShortName"] = "correlativo_partida";
$tdatacorrelativo_partida[".OwnerID"] = "";
$tdatacorrelativo_partida[".OriginalTable"] = "derecho_propietario";


$tdatacorrelativo_partida[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatacorrelativo_partida[".originalPagesByType"] = $tdatacorrelativo_partida[".pagesByType"];
$tdatacorrelativo_partida[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatacorrelativo_partida[".originalPages"] = $tdatacorrelativo_partida[".pages"];
$tdatacorrelativo_partida[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatacorrelativo_partida[".originalDefaultPages"] = $tdatacorrelativo_partida[".defaultPages"];

//	field labels
$fieldLabelscorrelativo_partida = array();
$fieldToolTipscorrelativo_partida = array();
$pageTitlescorrelativo_partida = array();
$placeHolderscorrelativo_partida = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscorrelativo_partida["Spanish"] = array();
	$fieldToolTipscorrelativo_partida["Spanish"] = array();
	$placeHolderscorrelativo_partida["Spanish"] = array();
	$pageTitlescorrelativo_partida["Spanish"] = array();
	$fieldLabelscorrelativo_partida["Spanish"]["Nro_Partida"] = "Nro Partida";
	$fieldToolTipscorrelativo_partida["Spanish"]["Nro_Partida"] = "";
	$placeHolderscorrelativo_partida["Spanish"]["Nro_Partida"] = "";
	if (count($fieldToolTipscorrelativo_partida["Spanish"]))
		$tdatacorrelativo_partida[".isUseToolTips"] = true;
}


	$tdatacorrelativo_partida[".NCSearch"] = true;



$tdatacorrelativo_partida[".shortTableName"] = "correlativo_partida";
$tdatacorrelativo_partida[".nSecOptions"] = 0;

$tdatacorrelativo_partida[".mainTableOwnerID"] = "";
$tdatacorrelativo_partida[".entityType"] = 1;
$tdatacorrelativo_partida[".connId"] = "bsn_dividendos_at_localhost";


$tdatacorrelativo_partida[".strOriginalTableName"] = "derecho_propietario";

	



$tdatacorrelativo_partida[".showAddInPopup"] = false;

$tdatacorrelativo_partida[".showEditInPopup"] = false;

$tdatacorrelativo_partida[".showViewInPopup"] = false;

$tdatacorrelativo_partida[".listAjax"] = false;
//	temporary
//$tdatacorrelativo_partida[".listAjax"] = false;

	$tdatacorrelativo_partida[".audit"] = true;

	$tdatacorrelativo_partida[".locking"] = true;


$pages = $tdatacorrelativo_partida[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacorrelativo_partida[".edit"] = true;
	$tdatacorrelativo_partida[".afterEditAction"] = 1;
	$tdatacorrelativo_partida[".closePopupAfterEdit"] = 1;
	$tdatacorrelativo_partida[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacorrelativo_partida[".add"] = true;
$tdatacorrelativo_partida[".afterAddAction"] = 1;
$tdatacorrelativo_partida[".closePopupAfterAdd"] = 1;
$tdatacorrelativo_partida[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacorrelativo_partida[".list"] = true;
}



$tdatacorrelativo_partida[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacorrelativo_partida[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacorrelativo_partida[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacorrelativo_partida[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacorrelativo_partida[".printFriendly"] = true;
}



$tdatacorrelativo_partida[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacorrelativo_partida[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacorrelativo_partida[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacorrelativo_partida[".isUseAjaxSuggest"] = true;



																																	

$tdatacorrelativo_partida[".ajaxCodeSnippetAdded"] = false;

$tdatacorrelativo_partida[".buttonsAdded"] = false;

$tdatacorrelativo_partida[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacorrelativo_partida[".isUseTimeForSearch"] = false;


$tdatacorrelativo_partida[".badgeColor"] = "D2691E";


$tdatacorrelativo_partida[".allSearchFields"] = array();
$tdatacorrelativo_partida[".filterFields"] = array();
$tdatacorrelativo_partida[".requiredSearchFields"] = array();

$tdatacorrelativo_partida[".googleLikeFields"] = array();
$tdatacorrelativo_partida[".googleLikeFields"][] = "Nro_Partida";



$tdatacorrelativo_partida[".tableType"] = "list";

$tdatacorrelativo_partida[".printerPageOrientation"] = 0;
$tdatacorrelativo_partida[".nPrinterPageScale"] = 100;

$tdatacorrelativo_partida[".nPrinterSplitRecords"] = 40;

$tdatacorrelativo_partida[".geocodingEnabled"] = false;










$tdatacorrelativo_partida[".pageSize"] = 20;

$tdatacorrelativo_partida[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacorrelativo_partida[".strOrderBy"] = $tstrOrderBy;

$tdatacorrelativo_partida[".orderindexes"] = array();


$tdatacorrelativo_partida[".sqlHead"] = "SELECT ifNULL(MAX(nro_Partido),0)+1 as Nro_Partida";
$tdatacorrelativo_partida[".sqlFrom"] = "FROM derecho_propietario";
$tdatacorrelativo_partida[".sqlWhereExpr"] = "";
$tdatacorrelativo_partida[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacorrelativo_partida[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacorrelativo_partida[".arrGroupsPerPage"] = $arrGPP;

$tdatacorrelativo_partida[".highlightSearchResults"] = true;

$tableKeyscorrelativo_partida = array();
$tdatacorrelativo_partida[".Keys"] = $tableKeyscorrelativo_partida;


$tdatacorrelativo_partida[".hideMobileList"] = array();




//	Nro_Partida
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Nro_Partida";
	$fdata["GoodName"] = "Nro_Partida";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("correlativo_partida","Nro_Partida");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "Nro_Partida";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ifNULL(MAX(nro_Partido),0)+1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacorrelativo_partida["Nro_Partida"] = $fdata;
		$tdatacorrelativo_partida[".searchableFields"][] = "Nro_Partida";


$tables_data["correlativo_partida"]=&$tdatacorrelativo_partida;
$field_labels["correlativo_partida"] = &$fieldLabelscorrelativo_partida;
$fieldToolTips["correlativo_partida"] = &$fieldToolTipscorrelativo_partida;
$placeHolders["correlativo_partida"] = &$placeHolderscorrelativo_partida;
$page_titles["correlativo_partida"] = &$pageTitlescorrelativo_partida;


changeTextControlsToDate( "correlativo_partida" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["correlativo_partida"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["correlativo_partida"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_correlativo_partida()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ifNULL(MAX(nro_Partido),0)+1 as Nro_Partida";
$proto0["m_strFrom"] = "FROM derecho_propietario";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "ifNULL(MAX(nro_Partido),0)+1"
));

$proto6["m_sql"] = "ifNULL(MAX(nro_Partido),0)+1";
$proto6["m_srcTableName"] = "correlativo_partida";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "Nro_Partida";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto8=array();
$proto8["m_link"] = "SQLL_MAIN";
			$proto9=array();
$proto9["m_strName"] = "derecho_propietario";
$proto9["m_srcTableName"] = "correlativo_partida";
$proto9["m_columns"] = array();
$proto9["m_columns"][] = "id_derecho_Propietario";
$proto9["m_columns"][] = "gestion";
$proto9["m_columns"][] = "nro_Partido";
$proto9["m_columns"][] = "nro_Folio";
$proto9["m_columns"][] = "accionista";
$proto9["m_columns"][] = "nro_Titulo";
$proto9["m_columns"][] = "nro_Acciones";
$proto9["m_columns"][] = "serie_Acciones";
$proto9["m_columns"][] = "estado_Pago";
$proto9["m_columns"][] = "tipo_Acciones";
$proto9["m_columns"][] = "gravamen";
$proto9["m_columns"][] = "fecha_Emision";
$proto9["m_columns"][] = "fecha_Inscripcion";
$proto9["m_columns"][] = "clase_Acciones";
$proto9["m_columns"][] = "nro_Acciones_Literal";
$proto9["m_columns"][] = "total_bs";
$proto9["m_columns"][] = "total_bs_literal";
$proto9["m_columns"][] = "estado_titulo";
$proto9["m_columns"][] = "saldo_Acciones_A";
$proto9["m_columns"][] = "saldo_Acciones";
$obj = new SQLTable($proto9);

$proto8["m_table"] = $obj;
$proto8["m_sql"] = "derecho_propietario";
$proto8["m_alias"] = "";
$proto8["m_srcTableName"] = "correlativo_partida";
$proto10=array();
$proto10["m_sql"] = "";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = false;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

$proto8["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto8);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="correlativo_partida";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_correlativo_partida = createSqlQuery_correlativo_partida();


	
		;

	

$tdatacorrelativo_partida[".sqlquery"] = $queryData_correlativo_partida;



include_once(getabspath("include/correlativo_partida_events.php"));
$tdatacorrelativo_partida[".hasEvents"] = true;

?>